---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libcm03t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3E60, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x5F3A0, symBinAddr: 0x10240, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x612E0, symBinAddr: 0x12180, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x616D0, symBinAddr: 0x12570, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x62670, symBinAddr: 0x13510, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x62680, symBinAddr: 0x13520, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0x12B18, symBinAddr: 0x100A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x5EFD0, symBinAddr: 0x100B0, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x5EFD4, symBinAddr: 0x100B4, symSize: 0x0 }
  - { offsetInCU: 0xBE4, offset: 0xBE4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x5EFD8, symBinAddr: 0x100B8, symSize: 0x0 }
  - { offsetInCU: 0xC29, offset: 0xC29, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x5F130, symBinAddr: 0x100C0, symSize: 0x0 }
  - { offsetInCU: 0xCA2, offset: 0xCA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x5F1E8, symBinAddr: 0x10178, symSize: 0x0 }
  - { offsetInCU: 0xCC0, offset: 0xCC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5F1EC, symBinAddr: 0x1017C, symSize: 0x0 }
  - { offsetInCU: 0xCD9, offset: 0xCD9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x5F1F0, symBinAddr: 0x10180, symSize: 0x0 }
  - { offsetInCU: 0xCF2, offset: 0xCF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5F1F4, symBinAddr: 0x10184, symSize: 0x0 }
  - { offsetInCU: 0xD0B, offset: 0xD0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x5F1F8, symBinAddr: 0x10188, symSize: 0x0 }
  - { offsetInCU: 0x92FA, offset: 0x92FA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x5F200, symBinAddr: 0x10190, symSize: 0x0 }
  - { offsetInCU: 0x9383, offset: 0x9383, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x5F210, symBinAddr: 0x101A0, symSize: 0x0 }
  - { offsetInCU: 0x939C, offset: 0x939C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x5F218, symBinAddr: 0x101A8, symSize: 0x0 }
  - { offsetInCU: 0x93B5, offset: 0x93B5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x5F220, symBinAddr: 0x101B0, symSize: 0x0 }
  - { offsetInCU: 0x93CE, offset: 0x93CE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x5F228, symBinAddr: 0x101B8, symSize: 0x0 }
  - { offsetInCU: 0x93E7, offset: 0x93E7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x5F230, symBinAddr: 0x101C0, symSize: 0x0 }
  - { offsetInCU: 0x9401, offset: 0x9401, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x5F238, symBinAddr: 0x101C8, symSize: 0x0 }
  - { offsetInCU: 0x94E7, offset: 0x94E7, size: 0x8, addend: 0x0, symName: __ZL25ExceptionCatchEventsCount, symObjAddr: 0x5F27C, symBinAddr: 0x101DC, symSize: 0x0 }
  - { offsetInCU: 0x9500, offset: 0x9500, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x5F280, symBinAddr: 0x101E0, symSize: 0x0 }
  - { offsetInCU: 0x9519, offset: 0x9519, size: 0x8, addend: 0x0, symName: __ZL11klass_bytes, symObjAddr: 0x5F2C0, symBinAddr: 0x101F0, symSize: 0x0 }
  - { offsetInCU: 0x9532, offset: 0x9532, size: 0x8, addend: 0x0, symName: __ZL16klass_byte_count, symObjAddr: 0x5F2C8, symBinAddr: 0x101F8, symSize: 0x0 }
  - { offsetInCU: 0x954B, offset: 0x954B, size: 0x8, addend: 0x0, symName: __ZL22FieldAccessEventsCount, symObjAddr: 0x5F2CC, symBinAddr: 0x101FC, symSize: 0x0 }
  - { offsetInCU: 0x9564, offset: 0x9564, size: 0x8, addend: 0x0, symName: __ZL5klass, symObjAddr: 0x5F2D0, symBinAddr: 0x10200, symSize: 0x0 }
  - { offsetInCU: 0x957D, offset: 0x957D, size: 0x8, addend: 0x0, symName: __ZL28FieldModificationEventsCount, symObjAddr: 0x5F2D8, symBinAddr: 0x10208, symSize: 0x0 }
  - { offsetInCU: 0x9596, offset: 0x9596, size: 0x8, addend: 0x0, symName: __ZL21SingleStepEventsCount, symObjAddr: 0x5F2DC, symBinAddr: 0x1020C, symSize: 0x0 }
  - { offsetInCU: 0x95AF, offset: 0x95AF, size: 0x8, addend: 0x0, symName: __ZL20ExceptionEventsCount, symObjAddr: 0x5F2E0, symBinAddr: 0x10210, symSize: 0x0 }
  - { offsetInCU: 0x95C8, offset: 0x95C8, size: 0x8, addend: 0x0, symName: __ZL21BreakpointEventsCount, symObjAddr: 0x5F2E4, symBinAddr: 0x10214, symSize: 0x0 }
  - { offsetInCU: 0x95E1, offset: 0x95E1, size: 0x8, addend: 0x0, symName: __ZL19FramePopEventsCount, symObjAddr: 0x5F2E8, symBinAddr: 0x10218, symSize: 0x0 }
  - { offsetInCU: 0x95FA, offset: 0x95FA, size: 0x8, addend: 0x0, symName: __ZL22MethodEntryEventsCount, symObjAddr: 0x5F2EC, symBinAddr: 0x1021C, symSize: 0x0 }
  - { offsetInCU: 0x9613, offset: 0x9613, size: 0x8, addend: 0x0, symName: __ZL21MethodExitEventsCount, symObjAddr: 0x5F2F0, symBinAddr: 0x10220, symSize: 0x0 }
  - { offsetInCU: 0x962C, offset: 0x962C, size: 0x8, addend: 0x0, symName: __ZL6method, symObjAddr: 0x5F300, symBinAddr: 0x10230, symSize: 0x0 }
  - { offsetInCU: 0x9645, offset: 0x9645, size: 0x8, addend: 0x0, symName: __ZL5field, symObjAddr: 0x5F308, symBinAddr: 0x10238, symSize: 0x0 }
  - { offsetInCU: 0x965E, offset: 0x965E, size: 0x8, addend: 0x0, symName: __ZL6thread, symObjAddr: 0x5F2F8, symBinAddr: 0x10228, symSize: 0x0 }
  - { offsetInCU: 0x96B0, offset: 0x96B0, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2B00, symSize: 0x80 }
  - { offsetInCU: 0x9745, offset: 0x9745, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2A50, symSize: 0xB0 }
  - { offsetInCU: 0x97A0, offset: 0x97A0, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2950, symSize: 0x100 }
  - { offsetInCU: 0x9A33, offset: 0x9A33, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2B80, symSize: 0xC0 }
  - { offsetInCU: 0x9A85, offset: 0x9A85, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2C40, symSize: 0x220 }
  - { offsetInCU: 0x9C6A, offset: 0x9C6A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2E60, symSize: 0xA0 }
  - { offsetInCU: 0x9D1D, offset: 0x9D1D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2F00, symSize: 0x110 }
  - { offsetInCU: 0x9E13, offset: 0x9E13, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3010, symSize: 0x150 }
  - { offsetInCU: 0x9F70, offset: 0x9F70, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3160, symSize: 0x30 }
  - { offsetInCU: 0xA0A9, offset: 0xA0A9, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3190, symSize: 0x150 }
  - { offsetInCU: 0xA2A1, offset: 0xA2A1, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x32E0, symSize: 0x160 }
  - { offsetInCU: 0xA561, offset: 0xA561, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3440, symSize: 0x4A0 }
  - { offsetInCU: 0xA7D4, offset: 0xA7D4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x38E0, symSize: 0x1B0 }
  - { offsetInCU: 0xA9EF, offset: 0xA9EF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3A90, symSize: 0xA0 }
  - { offsetInCU: 0xAB16, offset: 0xAB16, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3B30, symSize: 0x20 }
  - { offsetInCU: 0xAB4D, offset: 0xAB4D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3B50, symSize: 0x20 }
  - { offsetInCU: 0xAB84, offset: 0xAB84, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3B70, symSize: 0x20 }
  - { offsetInCU: 0xAD77, offset: 0xAD77, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3B90, symSize: 0x1A0 }
  - { offsetInCU: 0xB093, offset: 0xB093, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3D30, symSize: 0x130 }
  - { offsetInCU: 0xB243, offset: 0xB243, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x40D0, symSize: 0x1B0 }
  - { offsetInCU: 0xB532, offset: 0xB532, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4280, symSize: 0x80 }
  - { offsetInCU: 0xB5FB, offset: 0xB5FB, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4300, symSize: 0x6A0 }
  - { offsetInCU: 0xC190, offset: 0xC190, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xD610, symBinAddr: 0x8AA0, symSize: 0xB0 }
  - { offsetInCU: 0xC207, offset: 0xC207, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x49A0, symSize: 0x70 }
  - { offsetInCU: 0xC35F, offset: 0xC35F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4A10, symSize: 0xA0 }
  - { offsetInCU: 0xC48A, offset: 0xC48A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4AB0, symSize: 0x40 }
  - { offsetInCU: 0xC580, offset: 0xC580, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4AF0, symSize: 0x2B0 }
  - { offsetInCU: 0xC926, offset: 0xC926, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4DA0, symSize: 0xC0 }
  - { offsetInCU: 0xCA6C, offset: 0xCA6C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4E60, symSize: 0x10 }
  - { offsetInCU: 0xCB2E, offset: 0xCB2E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4E70, symSize: 0x220 }
  - { offsetInCU: 0xCE2B, offset: 0xCE2B, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5090, symSize: 0x10 }
  - { offsetInCU: 0xCE88, offset: 0xCE88, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x50A0, symSize: 0x540 }
  - { offsetInCU: 0xD52A, offset: 0xD52A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA150, symBinAddr: 0x55E0, symSize: 0x10 }
  - { offsetInCU: 0xD5A7, offset: 0xD5A7, size: 0x8, addend: 0x0, symName: _ExceptionCatch, symObjAddr: 0xA160, symBinAddr: 0x55F0, symSize: 0x160 }
  - { offsetInCU: 0xD7B7, offset: 0xD7B7, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0xA2C0, symBinAddr: 0x5750, symSize: 0x160 }
  - { offsetInCU: 0xDA3B, offset: 0xDA3B, size: 0x8, addend: 0x0, symName: __ZL11FieldAccessP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDlP7_jclassS4_P9_jfieldID, symObjAddr: 0xA420, symBinAddr: 0x58B0, symSize: 0x180 }
  - { offsetInCU: 0xDCC4, offset: 0xDCC4, size: 0x8, addend: 0x0, symName: __ZL17FieldModificationP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDlP7_jclassS4_P9_jfieldIDc6jvalue, symObjAddr: 0xA5A0, symBinAddr: 0x5A30, symSize: 0x110 }
  - { offsetInCU: 0xDEC5, offset: 0xDEC5, size: 0x8, addend: 0x0, symName: __ZL10SingleStepP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0xA6B0, symBinAddr: 0x5B40, symSize: 0x160 }
  - { offsetInCU: 0xE133, offset: 0xE133, size: 0x8, addend: 0x0, symName: __ZL9ExceptionP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDlS4_S6_l, symObjAddr: 0xA810, symBinAddr: 0x5CA0, symSize: 0x160 }
  - { offsetInCU: 0xE388, offset: 0xE388, size: 0x8, addend: 0x0, symName: __ZL10BreakpointP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0xA970, symBinAddr: 0x5E00, symSize: 0x120 }
  - { offsetInCU: 0xE59A, offset: 0xE59A, size: 0x8, addend: 0x0, symName: __ZL8FramePopP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh, symObjAddr: 0xAA90, symBinAddr: 0x5F20, symSize: 0x110 }
  - { offsetInCU: 0xE761, offset: 0xE761, size: 0x8, addend: 0x0, symName: __ZL11MethodEntryP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodID, symObjAddr: 0xABA0, symBinAddr: 0x6030, symSize: 0x110 }
  - { offsetInCU: 0xE928, offset: 0xE928, size: 0x8, addend: 0x0, symName: __ZL10MethodExitP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh6jvalue, symObjAddr: 0xACB0, symBinAddr: 0x6140, symSize: 0x110 }
  - { offsetInCU: 0xF3BB, offset: 0xF3BB, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xADC0, symBinAddr: 0x6250, symSize: 0x2850 }
  - { offsetInCU: 0x127CF, offset: 0x127CF, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xD6C0, symBinAddr: 0x8B50, symSize: 0x36A }
...
